Loading...
Searching...
No Matches
pcl::gpu::SeededHueSegmentation Class Reference

`#include </build/pcl-oe1NcQ/pcl-1.14.0+dfsg/gpu/segmentation/include/pcl/gpu/segmentation/gpu_seeded_hue_segmentation.h>`

## Public Types

using | PointType = pcl::PointXYZ
using | PointCloudHost = pcl::PointCloud< pcl::PointXYZ >
using | PointCloudHostPtr = PointCloudHost::Ptr
using | PointCloudHostConstPtr = PointCloudHost::ConstPtr
using | PointIndicesPtr = PointIndices::Ptr
using | PointIndicesConstPtr = PointIndices::ConstPtr
using | GPUTree = pcl::gpu::Octree
using | GPUTreePtr = pcl::gpu::Octree::Ptr
using | CloudDevice = pcl::gpu::Octree::PointCloud

## Public Member Functions

| SeededHueSegmentation ()=default
| Empty constructor.
void | setSearchMethod (const GPUTreePtr &tree)
| Provide a pointer to the search object.
GPUTreePtr | getSearchMethod ()
| Get a pointer to the search method used.
void | setClusterTolerance (double tolerance)
| Set the spatial cluster tolerance as a measure in the L2 Euclidean space.
double | getClusterTolerance ()
| Get the spatial cluster tolerance as a measure in the L2 Euclidean space.
void | setInput (CloudDevice input)
void | setHostCloud (PointCloudHostPtr host_cloud)
void | setDeltaHue (float delta_hue)
| Set the tolerance on the hue.
float | getDeltaHue ()
| Get the tolerance on the hue.
void | segment (PointIndices &indices_in, PointIndices &indices_out)
| extract clusters of a PointCloud given by <setInputCloud(), setIndices()>

## Protected Member Functions

virtual std::string | getClassName () const
| Class getName method.

## Protected Attributes

CloudDevice | input_
| the input cloud on the GPU
PointCloudHostPtr | host_cloud_
| the original cloud the Host
GPUTreePtr | tree_
| A pointer to the spatial search object.
double | cluster_tolerance_ {0.0}
| The spatial cluster tolerance as a measure in the L2 Euclidean space.
float | delta_hue_ {0.0}
| The allowed difference on the hue.

## Detailed Description

Definition at line 57 of file gpu_seeded_hue_segmentation.h.

## Member Typedef Documentation

## CloudDevice

using pcl::gpu::SeededHueSegmentation::CloudDevice = pcl::gpu::Octree::PointCloud

Definition at line 70 of file gpu_seeded_hue_segmentation.h.

## GPUTree

using pcl::gpu::SeededHueSegmentation::GPUTree = pcl::gpu::Octree

Definition at line 67 of file gpu_seeded_hue_segmentation.h.

## GPUTreePtr

using pcl::gpu::SeededHueSegmentation::GPUTreePtr = pcl::gpu::Octree::Ptr

Definition at line 68 of file gpu_seeded_hue_segmentation.h.

## PointCloudHost

using pcl::gpu::SeededHueSegmentation::PointCloudHost = pcl::PointCloud<pcl::PointXYZ>

Definition at line 60 of file gpu_seeded_hue_segmentation.h.

## PointCloudHostConstPtr

using pcl::gpu::SeededHueSegmentation::PointCloudHostConstPtr = PointCloudHost::ConstPtr

Definition at line 62 of file gpu_seeded_hue_segmentation.h.

## PointCloudHostPtr

using pcl::gpu::SeededHueSegmentation::PointCloudHostPtr = PointCloudHost::Ptr

Definition at line 61 of file gpu_seeded_hue_segmentation.h.

## PointIndicesConstPtr

using pcl::gpu::SeededHueSegmentation::PointIndicesConstPtr = PointIndices::ConstPtr

Definition at line 65 of file gpu_seeded_hue_segmentation.h.

## PointIndicesPtr

using pcl::gpu::SeededHueSegmentation::PointIndicesPtr = PointIndices::Ptr

Definition at line 64 of file gpu_seeded_hue_segmentation.h.

## PointType

using pcl::gpu::SeededHueSegmentation::PointType = pcl::PointXYZ

Definition at line 59 of file gpu_seeded_hue_segmentation.h.

## Constructor & Destructor Documentation

## SeededHueSegmentation()

pcl::gpu::SeededHueSegmentation::SeededHueSegmentation | ( |  | ) |

default

Empty constructor.

## Member Function Documentation

## getClassName()

virtual std::string pcl::gpu::SeededHueSegmentation::getClassName | ( |  | ) | const

inline protected virtual

Class getName method.

Definition at line 165 of file gpu_seeded_hue_segmentation.h.

## getClusterTolerance()

double pcl::gpu::SeededHueSegmentation::getClusterTolerance | ( |  | ) |

inline

Get the spatial cluster tolerance as a measure in the L2 Euclidean space.

Definition at line 107 of file gpu_seeded_hue_segmentation.h.

References cluster_tolerance_.

## getDeltaHue()

float pcl::gpu::SeededHueSegmentation::getDeltaHue | ( |  | ) |

inline

Get the tolerance on the hue.

Definition at line 135 of file gpu_seeded_hue_segmentation.h.

References delta_hue_.

## getSearchMethod()

GPUTreePtr pcl::gpu::SeededHueSegmentation::getSearchMethod | ( |  | ) |

inline

Get a pointer to the search method used.

Todo:
  fix this for a generic search tree

Definition at line 89 of file gpu_seeded_hue_segmentation.h.

References tree_.

## segment()

void pcl::gpu::SeededHueSegmentation::segment | ( | PointIndices & | indices_in,
|  | PointIndices & | indices_out
| ) |  |

extract clusters of a PointCloud given by <setInputCloud(), setIndices()>

Parameters

  indices_in |
  indices_out |

Todo:
  what do we do if input isn't a PointXYZ cloud?

Definition at line 135 of file gpu_seeded_hue_segmentation.hpp.

References cluster_tolerance_, delta_hue_, host_cloud_, input_, pcl::gpu::seededHueSegmentation(), and tree_.

## setClusterTolerance()

void pcl::gpu::SeededHueSegmentation::setClusterTolerance | ( | double | tolerance | ) |

inline

Set the spatial cluster tolerance as a measure in the L2 Euclidean space.

Parameters

  tolerance | the spatial cluster tolerance as a measure in the L2 Euclidean space

Definition at line 99 of file gpu_seeded_hue_segmentation.h.

References cluster_tolerance_.

## setDeltaHue()

void pcl::gpu::SeededHueSegmentation::setDeltaHue | ( | float | delta_hue | ) |

inline

Set the tolerance on the hue.

Parameters

  [in] | delta_hue | the new delta hue

Definition at line 128 of file gpu_seeded_hue_segmentation.h.

References delta_hue_.

## setHostCloud()

void pcl::gpu::SeededHueSegmentation::setHostCloud | ( | PointCloudHostPtr | host_cloud | ) |

inline

Definition at line 119 of file gpu_seeded_hue_segmentation.h.

References host_cloud_.

## setInput()

void pcl::gpu::SeededHueSegmentation::setInput | ( | CloudDevice | input | ) |

inline

Definition at line 113 of file gpu_seeded_hue_segmentation.h.

References input_.

## setSearchMethod()

void pcl::gpu::SeededHueSegmentation::setSearchMethod | ( | const GPUTreePtr & | tree | ) |

inline

Provide a pointer to the search object.

Parameters

  tree | a pointer to the spatial search object.

Definition at line 80 of file gpu_seeded_hue_segmentation.h.

References tree_.

## Member Data Documentation

## cluster_tolerance_

double pcl::gpu::SeededHueSegmentation::cluster_tolerance_ {0.0}

protected

The spatial cluster tolerance as a measure in the L2 Euclidean space.

Definition at line 158 of file gpu_seeded_hue_segmentation.h.

Referenced by getClusterTolerance(), segment(), and setClusterTolerance().

## delta_hue_

float pcl::gpu::SeededHueSegmentation::delta_hue_ {0.0}

protected

The allowed difference on the hue.

Definition at line 161 of file gpu_seeded_hue_segmentation.h.

Referenced by getDeltaHue(), segment(), and setDeltaHue().

## host_cloud_

PointCloudHostPtr pcl::gpu::SeededHueSegmentation::host_cloud_

protected

the original cloud the Host

Definition at line 152 of file gpu_seeded_hue_segmentation.h.

Referenced by segment(), and setHostCloud().

## input_

CloudDevice pcl::gpu::SeededHueSegmentation::input_

protected

the input cloud on the GPU

Definition at line 149 of file gpu_seeded_hue_segmentation.h.

Referenced by segment(), and setInput().

## tree_

GPUTreePtr pcl::gpu::SeededHueSegmentation::tree_

protected

A pointer to the spatial search object.

Definition at line 155 of file gpu_seeded_hue_segmentation.h.

Referenced by getSearchMethod(), segment(), and setSearchMethod().

The documentation for this class was generated from the following files:

- /build/pcl-oe1NcQ/pcl-1.14.0+dfsg/gpu/segmentation/include/pcl/gpu/segmentation/gpu_seeded_hue_segmentation.h
- /build/pcl-oe1NcQ/pcl-1.14.0+dfsg/gpu/segmentation/include/pcl/gpu/segmentation/impl/gpu_seeded_hue_segmentation.hpp